<ng-container *transloco="let t; read: 'manage_organization'">
  <div class="table-container">
    <mat-card appearance="outlined">
      <span class="table-header">{{t('org_category_request_header')}}</span>
      <table
        class="table-width"
        mat-table
        matSort
        [dataSource]="dataSource">
        <!-- organization name -->
        <ng-container matColumnDef="organization_name">
          <th
            *matHeaderCellDef
            mat-header-cell
            mat-sort-header>
            {{t('organization_th')}}
          </th>
          <td
            *matCellDef="let row"
            mat-cell>
            <div
              class="clickable"
              [routerLink]="'/'+PUBLIC_ORG_ROUTE+'/'+row?.organization_id">
              {{row.organization_name}}
            </div>
          </td>
        </ng-container>
        <!-- email address -->
        <ng-container matColumnDef="email_address">
          <th
            *matHeaderCellDef
            mat-header-cell
            mat-sort-header>
            {{t('email_address_th')}}
          </th>
          <td
            *matCellDef="let row"
            mat-cell>
            {{row.user_details.email_address}}
          </td>
        </ng-container>
        <!-- last name -->
        <ng-container matColumnDef="last_name">
          <th
            *matHeaderCellDef
            mat-header-cell
            mat-sort-header>
            {{t('last_name_th')}}
          </th>
          <td
            *matCellDef="let row"
            mat-cell>
            {{row.user_details.last_name}}
          </td>
        </ng-container>
        <!-- first name -->
        <ng-container matColumnDef="first_name">
          <th
            *matHeaderCellDef
            mat-header-cell
            mat-sort-header>
            {{t('first_name_th')}}
          </th>
          <td
            *matCellDef="let row"
            mat-cell>
            {{row.user_details.first_name}}
          </td>
        </ng-container>
        <!-- requested -->
        <ng-container matColumnDef="requested">
          <th
            *matHeaderCellDef
            mat-header-cell
            mat-sort-header>
            {{t('requested_categories_th')}}
          </th>
          <td
            *matCellDef="let row"
            mat-cell>
            <app-organization-categories-table-cell-component [categories]="row.requested_categories"></app-organization-categories-table-cell-component>
          </td>
        </ng-container>
        <!-- status -->
        <ng-container matColumnDef="status">
          <th
            *matHeaderCellDef
            mat-header-cell
            mat-sort-header>
            {{t('status_th')}}
          </th>
          <td
            *matCellDef="let row"
            mat-cell>
            {{'request_state.'+row.request_state|transloco}}
          </td>
        </ng-container>
        <!-- action buttons -->
        <ng-container matColumnDef="actions">
          <th
            *matHeaderCellDef
            mat-header-cell
            class="table-column-header-align-end">
            {{t('actions_th')}}
          </th>
          <td
            *matCellDef="let row"
            mat-cell>
            <button
              [matMenuTriggerFor]="menu"
              mat-icon-button
              aria-label="Action dropdown menu">
              <mat-icon>more_vert</mat-icon>
            </button>
            <mat-menu #menu="matMenu">
              <button
                mat-menu-item
                [disabled]="row.request_state !== REQUEST_STATES.REQUESTED"
                [matTooltip]="t('revoke_tooltip')"
                [matTooltipDisabled]="row.request_state === REQUEST_STATES.REQUESTED"
                (click)="revokeRequestClicked.emit({ id: row.organization_category_request_id })">
                <mat-icon>history</mat-icon>
                <span>{{t('option_revoke_request')}}</span>
              </button>
            </mat-menu>
          </td>
        </ng-container>
        <tbody>
          <tr
            *matHeaderRowDef="displayColumns"
            mat-header-row>
          </tr>
          <tr
            *matRowDef="let row; columns: displayColumns;"
            mat-row>
          </tr>
          <!-- Row shown when there is no matching data. -->
          <tr
            class="mat-row no-data-table-row"
            *matNoDataRow>
            <td
              class="mat-cell"
              colspan="7">
              {{'general.no_data'|transloco}}
            </td>
          </tr>
        </tbody>
      </table>
    </mat-card>
  </div>
</ng-container>
